org.netbeans.modules.openide.util

## Class NamedServiceProcessor

- java.lang.Object
- - javax.annotation.processing.AbstractProcessor
  - - org.openide.util.lookup.implspi.AbstractServiceProviderProcessor
    - - org.netbeans.modules.openide.util.NamedServiceProcessor

- All Implemented Interfaces:
    Processor

      public final class NamedServiceProcessor
      extends AbstractServiceProviderProcessor

- - ### Field Summary

    - ### Fields inherited from class javax.annotation.processing.AbstractProcessor

      `processingEnv`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedServiceProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getSupportedAnnotationTypes()`
    `protected boolean` | `handleProcess(Set<? extends TypeElement> annotations, RoundEnvironment roundEnv)` The regular body of `AbstractServiceProviderProcessor.process(java.util.Set<? extends javax.lang.model.element.TypeElement>, javax.annotation.processing.RoundEnvironment)`.

    - ### Methods inherited from class org.openide.util.lookup.implspi.AbstractServiceProviderProcessor

      `getSupportedSourceVersion, process, register, register, register`

    - ### Methods inherited from class javax.annotation.processing.AbstractProcessor

      `getCompletions, getSupportedOptions, init, isInitialized`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamedServiceProcessor

          public NamedServiceProcessor()

  - ### Method Detail

    - #### getSupportedAnnotationTypes

          public Set<String> getSupportedAnnotationTypes()

      Specified by:
        `getSupportedAnnotationTypes` in interface `Processor`
      Overrides:
        `getSupportedAnnotationTypes` in class `AbstractProcessor`

    - #### handleProcess

          protected boolean handleProcess(Set<? extends TypeElement> annotations,
                                          RoundEnvironment roundEnv)

      Description copied from class: `AbstractServiceProviderProcessor`
      The regular body of `AbstractServiceProviderProcessor.process(java.util.Set<? extends javax.lang.model.element.TypeElement>, javax.annotation.processing.RoundEnvironment)`. Called during regular rounds if there are no outstanding errors. In the last round, one of the processors will write out generated registrations.
      Specified by:
        `handleProcess` in class `AbstractServiceProviderProcessor`
      Parameters:
        `annotations` - as in `AbstractServiceProviderProcessor.process(java.util.Set<? extends javax.lang.model.element.TypeElement>, javax.annotation.processing.RoundEnvironment)`
        `roundEnv` - as in `AbstractServiceProviderProcessor.process(java.util.Set<? extends javax.lang.model.element.TypeElement>, javax.annotation.processing.RoundEnvironment)`
      Returns:
        as in `AbstractServiceProviderProcessor.process(java.util.Set<? extends javax.lang.model.element.TypeElement>, javax.annotation.processing.RoundEnvironment)`

Copyright © 2025 API Design. All Rights Reserved.